openapi: 3.0.3
info:
  title: Ensi Customer Auth
  contact:
    name: API Support
    url: https://ensi.tech/contacts
    email: mail@greensight.ru
  version: 1.0.0
  description: Клиентская авторизация
servers:
  - url: /api/v1
tags:
  - name: users
    description: Управление пользователями-клиентами
  - name: oauth
    description: Авторизация через OAuth
paths:
  /oauth/token:
    $ref: './oauth/paths.yaml#/Token'
  /oauth/tokens/{id}:
    $ref: './oauth/paths.yaml#/TokensId'
  /users:
    $ref: './users/paths.yaml#/Users'
  /users/{id}:
    $ref: './users/paths.yaml#/UsersId'
  /users:search:
    $ref: './users/paths.yaml#/UsersSearch'
  /users:search-one:
    $ref: './users/paths.yaml#/UsersSearchOne'
  /users:current:
    $ref: './users/paths.yaml#/UsersCurrent'
  /users/{id}:refresh-password-token:
    $ref: './users/paths.yaml#/RefreshToken'
  /users/password-reset-first:
    $ref: './users/paths.yaml#/PasswordReset'
  /users/password-reset-second:
    $ref: './users/paths.yaml#/PasswordResetSecond'
components:
  parameters:
    TokenId:
      $ref: './oauth/schemas/tokens.yaml#/TokenId'
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    NotAllowed:
      description: Method not allowed
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    ServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
  schemas:
    GrantTypeEnum:
      $ref: './oauth/enums/grant_type_enum.yaml'
    PaginationTypeEnum:
      $ref: './common_schemas.yaml#/PaginationTypeEnum'
    MessageForSetPassword:
      $ref: './kafka_messages.yaml#/MessageForSetPassword'
    MessageForResetPassword:
      $ref: './kafka_messages.yaml#/MessageForResetPassword'
    MessageForResetPasswordSuccess:
      $ref: './kafka_messages.yaml#/MessageForResetPasswordSuccess'
    EmptyDataResponse:
      type: object
      properties:
        data:
          type: object
          nullable: true
        meta:
          type: object
      required:
        - data
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
